Not possible to delete and type in values into float spinboxes

2014-10-15 10:35 AM - marisn -

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 19692

Description

For some reason many floating point number spin boxes use some kind of "padding" events - it is not possible to delete and enter other

value by hand, as it constantly gets padded to specified formatting.

Steps to reproduce:

Open a print composer;

Add any element;

Open element properties and choose "Position and Size";

Try to position element at coordinates X: 21.319 Y: 7.503

Observe how clever editing technique has to be used to enter value.

History

#1 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
